#include <QApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "bridge.h"
#include "../common/sources/Map.h"

QQmlContext     *ctxt;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QQmlApplicationEngine engine;

    // enregistre nos fonctions
//    ctxt = engine.rootContext();
//    ctxt->setContextProperty("bridge", &bridge);

    // enregistre l'ImageProvider
    engine.addImageProvider("myimageprovider", new MyImageProvider);

    map.load((char *)"maps/test.map");

    // lance l'interface
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}

